public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: media-libs/phonon/
Date: Mon, 27 Nov 2023 23:22:52 +0000 (UTC)	[thread overview]
Message-ID: <1701127295.5d2ca195c1c7020564d365f0463bb3db30e2f67e.asturm@gentoo> (raw)

commit:     5d2ca195c1c7020564d365f0463bb3db30e2f67e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 27 21:10:50 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Nov 27 23:21:35 2023 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=5d2ca195

media-libs/phonon: Add IUSE="qt5,qt6"

TODO: phononsettings currently built against Qt6 if both flags are enabled.

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/phonon/phonon-9999.ebuild | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

diff --git a/media-libs/phonon/phonon-9999.ebuild b/media-libs/phonon/phonon-9999.ebuild
index aeb2ece48b..49a50dbd7b 100644
--- a/media-libs/phonon/phonon-9999.ebuild
+++ b/media-libs/phonon/phonon-9999.ebuild
@@ -15,25 +15,33 @@ fi
 
 LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"
 SLOT="0"
-IUSE="debug designer gstreamer pulseaudio +vlc"
+IUSE="designer pulseaudio +qt5 qt6 +vlc"
+REQUIRED_USE="|| ( qt5 qt6 )"
 
 DEPEND="
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	designer? ( dev-qt/designer:5 )
 	pulseaudio? (
 		dev-libs/glib:2
 		media-libs/libpulse[glib]
 	)
+	qt5? (
+		dev-qt/qtgui:5
+		dev-qt/qtwidgets:5
+		designer? ( dev-qt/designer:5 )
+	)
+	qt6? (
+		dev-qt/qt5compat:6
+		dev-qt/qtbase:6[gui,widgets]
+		designer? ( dev-qt/qttools:6[designer] )
+	)
 "
 RDEPEND="${DEPEND}"
 BDEPEND="
-	dev-qt/linguist-tools:5
+	qt5? ( dev-qt/linguist-tools:5 )
+	qt6? ( dev-qt/qttools:6[linguist] )
 	virtual/pkgconfig
 "
 PDEPEND="
-	gstreamer? ( >=media-libs/phonon-gstreamer-4.9.60 )
-	vlc? ( >=media-libs/phonon-vlc-0.9.60 )
+	vlc? ( >=media-libs/phonon-vlc-0.12.0[qt5?,qt6?] )
 "
 
 src_configure() {
@@ -41,6 +49,8 @@ src_configure() {
 		-DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
 		-DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
 		-DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
+		-DPHONON_BUILD_QT5=$(usex qt5)
+		-DPHONON_BUILD_QT6=$(usex qt6)
 		-DPHONON_BUILD_SETTINGS=ON
 	)
 	ecm_src_configure


             reply	other threads:[~2023-11-27 23:23 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-27 23:22 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-09 14:39 [gentoo-commits] proj/kde:master commit in: media-libs/phonon/ Andreas Sturmlechner
2024-07-07 20:42 Andreas Sturmlechner
2024-07-07 20:37 Andreas Sturmlechner
2024-07-01 19:10 Andreas Sturmlechner
2024-03-03 16:16 Andreas Sturmlechner
2023-12-22  9:26 Andreas Sturmlechner
2023-11-28 22:57 Andreas Sturmlechner
2022-07-14 14:51 Andreas Sturmlechner
2019-11-22 13:00 Andreas Sturmlechner
2019-10-24 18:37 Andreas Sturmlechner
2019-08-31  6:39 Andreas Sturmlechner
2019-08-30  7:21 Andreas Sturmlechner
2019-08-26  1:15 Andreas Sturmlechner
2013-11-09 17:40 Johannes Huber
2013-10-13 17:03 Johannes Huber
2013-05-10 17:40 Michael Palimaka
2013-01-20 16:06 Michael Palimaka
2012-05-02 22:16 Johannes Huber
2012-01-31 11:40 Johannes Huber
2011-12-23 13:17 Johannes Huber
2011-12-23 13:17 Johannes Huber
2011-10-25  0:31 Alexey Shvetsov
2011-03-27 13:22 Andreas K. Huettel
2011-03-27 12:47 Andreas K. Huettel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1701127295.5d2ca195c1c7020564d365f0463bb3db30e2f67e.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox